<?xml version="1.0"?>
<xsl:stylesheet version="1.0"
                xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
    <xsl:output method="text" encoding="windows-1251"/>
    <xsl:template match="/root">
        <xsl:variable name="dollar_value" select="@dv"/>
        &lt;html>
        &lt;body>
        &lt;p>
        <xsl:value-of select="@STRATEGY_REPORT_TITLE_LINE"/>
        &lt;p>
        <xsl:value-of select="@STRATEGY_REPORT_SYMBOL_LINE"/>
        &lt;p>
        <xsl:value-of select="@STRATEGY_REPORT_TIME_LINE"/>
        &lt;p>
        &lt;table width="100%" cellspacing="0" cellpadding="0" border=1>
        &lt;tr>
        &lt;td><xsl:value-of select="@REPORT_COLUMN_ID"/>
        &lt;/td>
        &lt;td><xsl:value-of select="@REPORT_COLUMN_STRATEGY"/>
        &lt;/td>
        &lt;td><xsl:value-of select="@REPORT_COLUMN_SIDE"/>
        &lt;/td>
        <xsl:if test="$dollar_value != 1">
            &lt;td><xsl:value-of select="@REPORT_COLUMN_QUANTITY"/>
            &lt;/td>
        </xsl:if>
        &lt;td><xsl:value-of select="@REPORT_COLUMN_AMOUNT"/>
        &lt;/td>
        &lt;td><xsl:value-of select="@REPORT_COLUMN_PRICE"/>
        &lt;/td>
        &lt;td><xsl:value-of select="@REPORT_COLUMN_DATE_TIME"/>
        &lt;/td>
        &lt;td><xsl:value-of select="@REPORT_COLUMN_TRADE_PL"/>
        &lt;/td>
        &lt;td><xsl:value-of select="@REPORT_COLUMN_PL"/>
        &lt;/td>
        &lt;td><xsl:value-of select="@REPORT_COLUMN_POSITION"/>
        &lt;/td>
        &lt;/tr>

        <xsl:for-each select="order">
            &lt;tr>
            &lt;td>
            <xsl:value-of select="@id"/>
            &lt;/td>
            &lt;td>
            <xsl:value-of select="@strategy_name"/>
            &lt;/td>
            &lt;td>
            <xsl:value-of select="@full_side"/>
            &lt;/td>
            <xsl:if test="$dollar_value != 1">
                &lt;td>
                <xsl:value-of select="@amount"/>
                &lt;/td>
            </xsl:if>
            &lt;td>
            <xsl:value-of select="@amountMulDV"/>
            &lt;/td>
            &lt;td>
            <xsl:value-of select="@tick_str"/>
            &lt;/td>
            &lt;td>
            <xsl:value-of select="@date_time"/>
            &lt;/td>
            &lt;td>
            <xsl:value-of select="@trade_pl_str"/>
            &lt;/td>
            &lt;td>
            <xsl:value-of select="@pl"/>
            &lt;/td>
            &lt;td>
            <xsl:value-of select="@position"/>
            &lt;/td>
            &lt;/tr>
        </xsl:for-each>
        &lt;/table>

        &lt;p>
        <xsl:value-of select="@STRATEGY_REPORT_MAX_PL_LINE"/>
        &lt;p>
        <xsl:value-of select="@STRATEGY_REPORT_TOTAL_PL_LINE"/>
        &lt;p>
        <xsl:value-of select="@STRATEGY_REPORT_TOTAL_ORDERS_LINE"/>

        &lt;/p>
        &lt;/body>
        &lt;/html>
    </xsl:template>
</xsl:stylesheet>